package dk.nsp.xdscleanup.deprecated.stack.registry.submissionsets;

import dk.nsp.backgroundjob.stack.StackOperation;

import dk.nsp.xdscleanup.deprecated.factory.CleanupOperationsFactory;
import org.junit.Before;
import org.junit.Test;
import org.mockito.Mockito;

import java.util.List;

import static org.junit.Assert.assertEquals;

public class DanglingSubmissionSetsCleanupSupplierTest {
    private static final int BATCH_SIZE = 2;
    private static final int LIMIT = 10000;
    private CleanupOperationsFactory cleanupOperationsFactory;
    private DanglingSubmissionSetsCleanupSupplier danglingSubmissionSetsCleanupSupplier;

    @Before
    public void setUp() {
        cleanupOperationsFactory = Mockito.mock(CleanupOperationsFactory.class);
        danglingSubmissionSetsCleanupSupplier = new DanglingSubmissionSetsCleanupSupplier(cleanupOperationsFactory);
    }


    @Test
    public void run_Returns372ExpectedSuppliers() {
        List<StackOperation> stackOperations = danglingSubmissionSetsCleanupSupplier.run();

        assertEquals(4096, stackOperations.size());
    }

}
