package dk.nsp.xdscleanup.ws.cleanup;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryDeceasedCleanupServlet", urlPatterns={"/registry-deceased-cleanup/start"})
public class RegistryDeceasedCleanupServlet extends AbstractOperationsServlet {
    @Autowired
    @Qualifier("registryDeceasedCleanupService")
    private StackedOperationsService registryDeceasedCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryDeceasedCleanupService;
    }
}
