package dk.nsp.xdscleanup.ws.status;

import dk.nsp.backgroundjob.service.StackedOperationsService;
import dk.nsp.backgroundjob.ws.AbstractOperationsStatusServlet;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;

import javax.servlet.annotation.WebServlet;

@WebServlet(name="RegistryDeceasedCleanupStatusServlet", urlPatterns={"/registry-deceased-cleanup/status"})
public class RegistryDeceasedCleanupStatusServlet extends AbstractOperationsStatusServlet {
    @Autowired
    @Qualifier("registryDeceasedCleanupService")
    private StackedOperationsService registryDeceasedCleanupService;

    @Override
    protected StackedOperationsService getOperationsService() {
        return registryDeceasedCleanupService;
    }
}
